package com.ebts.generator.dao;


import java.util.List;
import com.ebts.generator.entity.RelationalMap;

/**
 * top万能查询关系映射Mapper接口
 *
 * @author clay
 * @date 2021-07-21
 */
public interface RelationalMapDao {
    /**
     * 查询top万能查询关系映射
     *
     * @param mainId top万能查询关系映射ID
     * @return top万能查询关系映射
     */
    RelationalMap selectRelationalMapById(Long mainId);

    /**
     * 查询top万能查询关系映射列表
     *
     * @param relationalMap top万能查询关系映射
     * @return top万能查询关系映射集合
     */
    List<RelationalMap> selectRelationalMapList(RelationalMap relationalMap);

    /**
     * 新增top万能查询关系映射
     *
     * @param relationalMap top万能查询关系映射
     * @return 结果
     */
    int insertRelationalMap(RelationalMap relationalMap);

    /**
     * 修改top万能查询关系映射
     *
     * @param relationalMap top万能查询关系映射
     * @return 结果
     */
    int updateRelationalMap(RelationalMap relationalMap);

    /**
     * 删除top万能查询关系映射
     *
     * @param mainId top万能查询关系映射ID
     * @return 结果
     */
    int deleteRelationalMapById(Long mainId);

    /**
     * 批量删除top万能查询关系映射
     *
     * @param mainIds 需要删除的数据ID
     * @return 结果
     */
    int deleteRelationalMapByIds(Long[] mainIds);
    int batchRelationalMap(List<RelationalMap> relationalMaps);
}
